summaryrefslogtreecommitdiff
path: root/dev-python/httplib2/httplib2-0.30.0.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/httplib2/httplib2-0.30.0.ebuild')
-rw-r--r--dev-python/httplib2/httplib2-0.30.0.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/httplib2/httplib2-0.30.0.ebuild b/dev-python/httplib2/httplib2-0.30.0.ebuild
new file mode 100644
index 000000000000..c81e87aed42a
--- /dev/null
+++ b/dev-python/httplib2/httplib2-0.30.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A comprehensive HTTP client library"
+HOMEPAGE="
+ https://pypi.org/project/httplib2/
+ https://github.com/httplib2/httplib2/
+"
+SRC_URI="
+ https://github.com/httplib2/httplib2/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-libs/openssl
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-timeout )
+# note: tests are racy with xdist
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' setup.cfg || die
+ # remove bundled certs, we always want system certs via certifi
+ rm httplib2/cacerts.txt || die
+ distutils-r1_src_prepare
+}